## org.h2.command
Class CommandRemote

    java.lang.Object
      org.h2.command.CommandRemote

All Implemented Interfaces:
  CommandInterface

    public class CommandRemote

extends java.lang.Object
implements CommandInterface

Represents the client-side part of a SQL statement. This class is not used in embedded mode.

Field Summary

Fields inherited from interface org.h2.command.CommandInterface

`ALTER_INDEX_RENAME, ALTER_SCHEMA_RENAME, ALTER_SEQUENCE, ALTER_TABLE_ADD_COLUMN, ALTER_TABLE_ADD_CONSTRAINT_CHECK, ALTER_TABLE_ADD_CONSTRAINT_PRIMARY_KEY, ALTER_TABLE_ADD_CONSTRAINT_REFERENTIAL, ALTER_TABLE_ADD_CONSTRAINT_UNIQUE, ALTER_TABLE_ALTER_COLUMN_CHANGE_TYPE, ALTER_TABLE_ALTER_COLUMN_DEFAULT, ALTER_TABLE_ALTER_COLUMN_NOT_NULL, ALTER_TABLE_ALTER_COLUMN_NULL, ALTER_TABLE_ALTER_COLUMN_RENAME, ALTER_TABLE_ALTER_COLUMN_SELECTIVITY, ALTER_TABLE_DROP_COLUMN, ALTER_TABLE_DROP_CONSTRAINT, ALTER_TABLE_RENAME, ALTER_TABLE_SET_REFERENTIAL_INTEGRITY, ALTER_USER_ADMIN, ALTER_USER_RENAME, ALTER_USER_SET_PASSWORD, ALTER_VIEW, ANALYZE, BACKUP, BEGIN, CALL, CHECKPOINT, CHECKPOINT_SYNC, COMMENT, COMMIT, COMMIT_TRANSACTION, CREATE_AGGREGATE, CREATE_ALIAS, CREATE_CONSTANT, CREATE_DOMAIN, CREATE_INDEX, CREATE_LINKED_TABLE, CREATE_ROLE, CREATE_SCHEMA, CREATE_SEQUENCE, CREATE_TABLE, CREATE_TRIGGER, CREATE_USER, CREATE_VIEW, DEALLOCATE, DELETE, DROP_AGGREGATE, DROP_ALIAS, DROP_ALL_OBJECTS, DROP_CONSTANT, DROP_DOMAIN, DROP_INDEX, DROP_ROLE, DROP_SCHEMA, DROP_SEQUENCE, DROP_TABLE, DROP_TRIGGER, DROP_USER, DROP_VIEW, EXECUTE, EXPLAIN, GRANT, INSERT, MERGE, NO_OPERATION, PREPARE, PREPARE_COMMIT, REPLACE, REVOKE, ROLLBACK, ROLLBACK_TO_SAVEPOINT, ROLLBACK_TRANSACTION, RUNSCRIPT, SAVEPOINT, SCRIPT, SELECT, SET, SET_AUTOCOMMIT_FALSE, SET_AUTOCOMMIT_TRUE, SHUTDOWN, SHUTDOWN_COMPACT, SHUTDOWN_DEFRAG, SHUTDOWN_IMMEDIATELY, TRUNCATE_TABLE, UNKNOWN, UPDATE`

Constructor Summary
`CommandRemote(SessionRemote session, java.util.ArrayList<Transfer> transferList, java.lang.String sql, int fetchSize)`

Method Summary
`void` `cancel()` Cancel this current statement.
`void` `close()` Close the statement.
`ResultInterface` `executeQuery(int maxRows, boolean scrollable)` Execute the query.
`int` `executeUpdate()` Execute the statement
`int` `getCommandType()` Get command type.
`ResultInterface` `getMetaData()` Get an empty result set containing the meta data of the result.
`java.util.ArrayList<ParameterInterface>` `getParameters()` Get the parameters (if any).
`boolean` `isQuery()` Check if this is a query.
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CommandRemote

    public CommandRemote(SessionRemote session,
                         java.util.ArrayList<Transfer> transferList,
                         java.lang.String sql,
                         int fetchSize)

Method Detail

### isQuery

    public boolean isQuery()

  Description copied from interface: `CommandInterface`
  Check if this is a query.

  Specified by:
    `isQuery` in interface `CommandInterface`
  Returns:
    true if it is a query

### getParameters

    public java.util.ArrayList<ParameterInterface> getParameters()

  Description copied from interface: `CommandInterface`
  Get the parameters (if any).

  Specified by:
    `getParameters` in interface `CommandInterface`
  Returns:
    the parameters

### getMetaData

    public ResultInterface getMetaData()

  Description copied from interface: `CommandInterface`
  Get an empty result set containing the meta data of the result.

  Specified by:
    `getMetaData` in interface `CommandInterface`
  Returns:
    the empty result

### executeQuery

    public ResultInterface executeQuery(int maxRows,
                                        boolean scrollable)

  Description copied from interface: `CommandInterface`
  Execute the query.

  Specified by:
    `executeQuery` in interface `CommandInterface`
  Parameters:
    `maxRows` - the maximum number of rows returned
    `scrollable` - if the result set must be scrollable
  Returns:
    the result

### executeUpdate

    public int executeUpdate()

  Description copied from interface: `CommandInterface`
  Execute the statement

  Specified by:
    `executeUpdate` in interface `CommandInterface`
  Returns:
    the update count

### close

    public void close()

  Description copied from interface: `CommandInterface`
  Close the statement.

  Specified by:
    `close` in interface `CommandInterface`

### cancel

    public void cancel()

  Cancel this current statement.

  Specified by:
    `cancel` in interface `CommandInterface`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getCommandType

    public int getCommandType()

  Description copied from interface: `CommandInterface`
  Get command type.

  Specified by:
    `getCommandType` in interface `CommandInterface`
  Returns:
    one of the constants above